Bug 166171 - Review Request: gnomad2 a digital audio player manager
Review Request: gnomad2 a digital audio player manager
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
David Lawrence
http://sourceforge.net/project/showfi...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-17 14:59 EDT by Linus Walleij
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-25 15:25:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Linus Walleij 2005-08-17 14:59:11 EDT
Spec Name or Url: libnjb.spec
SRPM Name or Url: http://download.sourceforge.net/gnomad2/gnomad2-2.8.0-4.src.rpm
Description: Gnomad2 manages several digital audio players, Creative 
NOMAD jukeboxes, Creative Zen, Zen 2.0, NX, Xtra, Touch and Micro are 
supported, as well as Dell DJs "dellpods".

(Trivia: I am also the author of this program.)
Comment 1 Tom "spot" Callaway 2005-08-24 21:22:44 EDT
Review:

Good:
- rpmlint check returns: 
E: gnomad2 wrong-script-end-of-line-encoding /usr/share/doc/gnomad2-2.8.0/COPYING
Safe to ignore.
- meets naming/packaging guidelines
- license ok (GPL), license text in %doc, matches source
- spec legible, in am.english
- source matches upstream
- builds on FC4 (x86)
- no missing BR, no unnecessary BR
- locales handled properly
- no shared libs, no -devel
- not relocatable
- no duplicate files
- permissions ok
- %clean ok
- macro usage consistent
- owns all dirs it creates
- no duplicate files
- code, not content
- no need for -docs, -devel

Good job Linus. Approved.
Comment 2 Matthias Saou 2005-08-25 05:00:10 EDT
A few remarks :
- gtk2-devel could be removed since libgnomeui-devel is buildrequired.
- The name is redundant in the summary ("Gnomad 2 is a GNOME 2.0 client for
..."), which should be removed : "Client application for the Creative Jukeboxes
and Dell DJs" for instance.
- The %description should be stretched to nearly 80 cols for UI readability
(synaptic, smart).
- Not sure why the "Utility" category is added to the desktop file, since it
normally means "system utility" whereas this program is clearly for the
AudioVideo  category, which is already properly set.
Comment 3 Linus Walleij 2005-08-25 05:45:12 EDT
OK SRPM was already imported to CVS but I have bumped package to -5
and included Matthias' changes except for the libgnomeui Requires: because
libgnomeui is soon going out of this package, so GTK+-2.0 will be the
required one anyway.
Comment 4 Linus Walleij 2005-08-25 15:25:16 EDT
OK package builds on devel, FC-3 and FC-4, closing this ticket.

Note You need to log in before you can comment on or make changes to this bug.